Name:           perl-Test-Number-Delta
Version:        1.06
Release:    1%{?dist}
Summary:        Compare the difference between numbers against a given tolerance
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Test-Number-Delta
Source0:        https://cpan.metacpan.org/modules/by-module/Test/Test-Number-Delta-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.17
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::Builder)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Test::Builder::Tester) >= 1.02
BuildRequires:  perl(Test::More)
BuildRequires:  perl(CPAN::Meta) >= 2.120900

%description
At some point or another, most programmers find they need to compare
floating-point numbers for equality. The typical idiom is to test if
the absolute value of the difference of the numbers is within a
desired tolerance, usually called epsilon. This module provides such
a function for use with Test::Harness.


%prep
%setup -q -n Test-Number-Delta-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor
make


%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}


%check
make test


%files
%doc Changes
%license LICENSE
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::Number::Delta.3*


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.06-1
- initial build
